crashpad::PtraceStrategyDecider Class Referenceabstract

Abstract base class for deciding how the handler should `ptrace` a client. More...

`#include "handler/linux/exception_handler_server.h"`

## Public Types

enum | Strategy
| The possible return values for ChooseStrategy(). More...

## Public Member Functions

virtual Strategy | ChooseStrategy (int sock, const ucred &client_credentials)=0
| Chooses an appropriate `ptrace` strategy. More...

## Detailed Description

Abstract base class for deciding how the handler should `ptrace` a client.

## Member Enumeration Documentation

## Strategy

enum crashpad::PtraceStrategyDecider::Strategy

strong

The possible return values for ChooseStrategy().

Enumerator
kError | An error occurred, with a message logged.
kNoPtrace | Ptrace cannot be used.
kDirectPtrace | The handler should `ptrace`-attach the client directly.
kUseBroker | The client has `fork`ed a PtraceBroker for the handler.

## Member Function Documentation

## ChooseStrategy()

virtual Strategy crashpad::PtraceStrategyDecider::ChooseStrategy | ( | int | sock,
|  | const ucred & | client_credentials
| ) |  |

pure virtual

Chooses an appropriate `ptrace` strategy.

Parameters

  [in] | sock | A socket conncted to a ExceptionHandlerClient.
  [in] | client_credentials | The credentials for the connected client.

Returns
  the chosen Strategy.

The documentation for this class was generated from the following file:

- handler/linux/exception_handler_server.h